%global srcname oslo-sphinx

Name:           python-%{srcname}
Version:        4.18.0
Release:        %mkrel 10
Summary:        OpenStack Sphinx Extensions

Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/o/oslosphinx/oslosphinx-%{version}.tar.gz
Patch1:         sphinx.patch
Patch2:         olsosphinx-relax-dependencies.patch
BuildArch:      noarch

%description
OpenStack Sphinx Extensions.

#------------------------------------------------

%package -n     python3-%{srcname}
Summary:        OpenStack Sphinx Extensions
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{srcname}
OpenStack Sphinx Extensions.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n oslosphinx-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslosphinx

cp -af oslosphinx/theme %{buildroot}%{python3_sitelib}/oslosphinx/

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


%changelog
* Tue Jan 02 2024 daviddavid <daviddavid> 4.18.0-10.mga10
+ Revision: 2026118
- relax dependencies
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 4.18.0-9.mga10
+ Revision: 2019497
- Mass Rebuild - Python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 4.18.0-8.mga9
+ Revision: 1824782
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 4.18.0-7.mga9
+ Revision: 1775325
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 4.18.0-6.mga9
+ Revision: 1706553
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.18.0-5.mga8
+ Revision: 1535245
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.18.0-4.mga8
+ Revision: 1451697
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 4.18.0-3.mga8
+ Revision: 1429719
- add patch for sphinx >= 2.0

* Tue Jan 08 2019 kekepower <kekepower> 4.18.0-2.mga7
+ Revision: 1352922
- Include the oslosphinx theme openstack

* Tue Jan 08 2019 kekepower <kekepower> 4.18.0-1.mga7
+ Revision: 1352863
- Update to versoin 4.18.0

* Tue Jan 08 2019 kekepower <kekepower> 4.15.1-4.mga7
+ Revision: 1352709
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.15.1-3.mga7
+ Revision: 1289505
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 4.15.1-2.mga7
+ Revision: 1168816
- add BR on python2dist(pbr) thus fixing build

* Tue Aug 08 2017 daviddavid <daviddavid> 4.15.1-1.mga7
+ Revision: 1138854
- new version: 4.15.1
- rename python-oslo-sphinx to python2-oslo-sphinx

* Sat Aug 05 2017 pterjan <pterjan> 3.1.0-4.mga7
+ Revision: 1135532
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 3.1.0-3.mga6
+ Revision: 971232
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 3.1.0-2.mga6
+ Revision: 889854
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 3.1.0-1.mga6
+ Revision: 871302
- 3.1.0

* Wed Jan 21 2015 bcornec <bcornec> 2.3.0-1.mga5
+ Revision: 811679
- Update to upstream 2.3.0 to avoid security issues as mentioned in https://bugs.mageia.org/show_bug.cgi?id=15010

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 739736
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-6.mga5
+ Revision: 729270
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 688197
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 543811
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-2.mga4
+ Revision: 499034
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 neoclust <neoclust> 1.1-1.mga4
+ Revision: 494635
- imported package python-oslo-sphinx

